clear all
clc

N=500;

r = [2.3 2.98 3.2 3.5 3.555 3.95];

mu = r(6)


X=[]; x=0.02; for i=1:N x=mu*x*(1-x); X=[X;x]; end;

figure
set(gca,'fontsize',16)
xlabel('n'), ylabel('x_n');
title(['r = ',num2str(mu)],'fontsize',12);
axis([0 N 0 1]); grid on;
hold on

%plot(X);

for j = 1:N
    plot(1:j,X(1:j),'r-o','MarkerSize',8); 
    pause(0.01);
end
hold off
%comet(X);













% % Taking fft of the data
% Fs = 1;
% T = 1/Fs;
% 
% 
% NFFT = 2^nextpow2(N); % Next power of 2 from length of y
% Y = fft(X,NFFT)/N;
% f = Fs/2*linspace(0,1,NFFT/2+1);
% 
% % Plot single-sided amplitude spectrum.
% plot(f,2*abs(Y(1:NFFT/2+1))) 
% title('Single-Sided Amplitude Spectrum of y(t)')
% xlabel('Frequency (Hz)')
% ylabel('|Y(f)|')
